Bug 476419 - Problems with R300 3D acceleration
Problems with R300 3D acceleration
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-14 09:09 EST by Diego
Modified: 2009-12-18 02:17 EST (History)
3 users (show)

See Also:
Fixed In Version: 7.6.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:17:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
glxinfo with nomodeset (7.18 KB, text/plain)
2008-12-14 09:09 EST, Diego
no flags Details
xorg.conf (730 bytes, text/plain)
2008-12-21 05:02 EST, Diego
no flags Details
Xorg.0.log (77.08 KB, text/plain)
2008-12-21 05:04 EST, Diego
no flags Details
glxinfo with KMS activated (5.42 KB, text/plain)
2008-12-21 05:10 EST, Diego
no flags Details

  None (edit)
Description Diego 2008-12-14 09:09:45 EST
Created attachment 326871 [details]
glxinfo with nomodeset

Description of problem:
3D acceleration doesn't work properly with Radeon 9500 AGP.

Version-Release number of selected component (if applicable):

Name       : kernel
Arch       : i686
Versione    : 2.6.27.7
Release    : 134.fc10

Name       : xorg-x11-drv-ati
Arch       : i386
Versione    : 6.9.0
Release    : 61.fc10

Name       : mesa-dri-drivers
Arch       : i386
Versione    : 7.2
Release    : 0.14.fc10


WITH KMS:
glxinfo reports the "normal" R300 string under "OpenGL renderer string". Don't remember it exactly now because I have too many issues with KMS so I'm not using it.
glxgears starts and then freezes the computer after roughly one or two seconds.

WITHOUT KMS:
with "nomodeset" kernel option glxinfo has:
OpenGL renderer string: Software Rasterizer
(complete glxinfo attached)
glxgears runs but reports only ~80fps.
Comment 1 Matěj Cepl 2008-12-20 18:39:49 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Diego 2008-12-21 05:02:39 EST
Created attachment 327567 [details]
xorg.conf

This xorg.conf is generated by system-config-display when choosing 1280x1024 as the default resolution; I made no more modifications. However Xorg works fine also without xorg.conf (with a higher default resolution).
Comment 3 Diego 2008-12-21 05:04:53 EST
Created attachment 327568 [details]
Xorg.0.log
Comment 4 Diego 2008-12-21 05:10:58 EST
Created attachment 327569 [details]
glxinfo with KMS activated
Comment 5 Diego 2008-12-21 07:41:24 EST
This bug is fixed for "nomodeset" with kernel kernel-2.6.27.9-163.fc10 from Koji: glxinfo reports the correct string and glxgears is accelerated.
However I experienced a crash (with monitor standby) a short time (1 min) after enabling Kwin's OpenGL effects... I'm going to try with some 3D games.

Cannot test with KMS activated because of this other bug:
https://bugzilla.redhat.com/show_bug.cgi?id=467702
Comment 6 Diego 2008-12-23 09:29:48 EST
I can confirm the freeze one second after starting glxgears with KMS enabled also with kernel "-163".

So, to resume:
- 3D is now fixed with "nomodeset" and kernel "-163";
- glxgears locks after 1 sec with KMS and kernel "-163".

So actually they were separate issues.
Comment 7 Diego 2009-06-09 12:42:04 EDT
The issue with KMS still applies in F11: I tried the live CD, clicked on the "enable desktop effects" button in Gnome and I got a total lock up (the mouse cursor was still).
Comment 8 Diego 2009-06-27 07:47:57 EDT
Fixed in F11 with Mesa 7.6 in updates-testing:
Nome       : mesa-dri-drivers
Arch       : i586
Versione   : 7.6
Release    : 0.1.fc11

So this still applies only to F10 (F9 hasn't got KMS).
Comment 9 Bug Zapper 2009-11-18 05:28:14 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-12-18 02:17:40 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.